%define debug_package %{nil}

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

Name:		AdobeMalwareClassifier
Version:	1.0
Release:	1%{?dist}
Group:		Development/Libraries/Python
Summary:	Perform quick, easy classification of binaries for malware analysis
License:	BSD
URL:		http://sourceforge.net/adobe/malclassifier/wiki/Home/
Source:		%{name}-%{version}.tar.gz
Patch0: 	%{name}-%{version}-patch-001
Requires:	python 
Requires:	python-pefile
%if 0%{?rhel} == 5
BuildRoot:      %{_tmppath}/rpm-root-%{name}-v%{version}
%endif

%description
Malware Classifier is a command-line tool that lets antivirus analysts,
IT administrators, and security researchers quickly and easily determine
if a binary file contains malware: so they can develop malware detection
signatures faster, reducing the time during which users' systems are
vulnerable.

The tool uses machine-learning algorithms to classify Win32 binaries
– EXEs and DLLs – into three classes: 0 for “clean,” 1 for
“malicious,” or “UNKNOWN.”

The tool extracts seven key features from an unknown binary, feeds
them to one of the four classifiers or all of them, and presents
its classification of the unknown binary as "clean," "malicious," or
"unknown."

The tool was developed using models resultant from running the J48,
J48 Graft, PART, and Ridor machine-learning algorithms on a dataset of
approximately 100,000 malicious programs and 16,000 clean programs.

%prep
%setup 
%patch0 -p1

%build
echo Nothing to build

%install
%__install -d %{buildroot}%{_bindir}
%__install -m 755 %{name}.py %{buildroot}%{_bindir}/%{name}
dos2unix  %{buildroot}%{_bindir}/%{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.txt
%attr(0755, root, root)		%{_bindir}/%{name}

%changelog -n shellbags
* Thu Apr 05 2012 Willi Ballenthin <willi.ballenthin@gmail.com> 1.0-1
* Release 1.0-1
	Initial release
